﻿using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations;
using System.Text.Json;

namespace HealthMonitor.WebApi.Model.Request
{
    
    public class HmBloodPress
    {
        [JsonProperty("bloodPressId")]
        public string BloodPressId { get; set; } = default!;
        [JsonProperty("messageId")]
        public string MessageId { get; set; } = default!;

        [JsonProperty("serialno")]
        public string Serialno { get; set; } = default!;

        [JsonProperty("systolicValue")]
        public int SystolicValue { get; set; }

        [JsonProperty("diastolicValue")]
        public int DiastolicValue { get; set; }

        [JsonProperty("lastUpdate")]
    
        public string LastUpdate { get; set; } = default!;

        [JsonProperty("createTime")]
       
        public string CreateTime { get; set; } = default!;

        [JsonProperty("method")]
        public int? Method { get; set; }

        [JsonProperty("isDisplay")]
        public int IsDisplay { get; set; } = 1;


        //[JsonConverter(typeof(CustomDateTimeConverter))]
        //public DateTime? LastUpdate { get; set; }

        //[JsonConverter(typeof(CustomDateTimeConverter))]
        //public DateTime? CreateTime { get; set; }
    }
}
